package com.tptj.demo.hg.url.alias;

import com.fr.decision.fun.impl.AbstractURLAliasProvider;
import com.fr.decision.webservice.url.alias.URLAlias;
import com.fr.decision.webservice.url.alias.URLAliasFactory;
import com.fr.decision.webservice.url.alias.impl.PluginURLAlias;
import com.fr.intelli.record.Focus;
import com.fr.record.analyzer.EnableMetrics;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-03-09
 **/
@EnableMetrics
public class Demo extends AbstractURLAliasProvider {
    @Override
    @Focus(id = "com.tptj.demo.hg.url.alias.v10",text = "请求别名")
    public URLAlias[] registerAlias() {
        //hugh:这个接口只能对插件的请求生效
        //一般说来这个接口主要用来跟HttpHandler配合使用
        //但是也可以用于插件升级或者迭代兼容设计时使用
        URLAlias alias = URLAliasFactory.createPluginAlias("/http/demo/public","/demo/public",true);
        //hugh: 如果 URLAliasProvider 要处理的原连接（HttpHandlerProvider）跟URLAliasProvider实现在同一个插件，则不需要下面的步骤
        //也就是说这个接口也可以用来对其他插件基于HttpHandlerProvider的web接口进行改写
        ((PluginURLAlias)alias).setPluginId("com.tptj.demo.hg.http.handler.v10");
        return new URLAlias[]{alias};
    }
}
